Mailinglist Archive: opensuse-updates (71 mails)

< Previous Next >
openSUSE-RU-2015:1323-1: moderate: Handle tilde in package version
openSUSE Recommended Update: Handle tilde in package version
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:1323-1
Rating: moderate
References:
Affected Products:
openSUSE Evergreen 11.4
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:


Tolerate tilde in package version. This allows building packages which
use the tilde to indicate a pre version. Note: zypper will not handle
tilde in 11.4, '1.0~rc1' is seen as newer than '1.0'. Handle also
/etc/alternatives properly to fix buildfailures which happen with some
newer packages.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Evergreen 11.4:

zypper in -t patch 2015-525=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Evergreen 11.4 (i586 x86_64):

rpm-4.8.0-28.43.1
rpm-debuginfo-4.8.0-28.43.1
rpm-debugsource-4.8.0-28.43.1
rpm-devel-4.8.0-28.43.1

- openSUSE Evergreen 11.4 (x86_64):

rpm-32bit-4.8.0-28.43.1
rpm-debuginfo-32bit-4.8.0-28.43.1

- openSUSE Evergreen 11.4 (ia64):

rpm-debuginfo-x86-4.8.0-28.43.1
rpm-x86-4.8.0-28.43.1


References:



< Previous Next >
This Thread
  • No further messages